## python-json-pointer 2.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-json-pointer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-json-pointer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-json-pointer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-json-pointer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-json-pointer 0.6

=== debian/changelog ===
python-json-pointer (0.6-1ubuntu1~cloud0) precise-grizzly; urgency=low

  * New package for the Ubuntu Cloud Archive to support new version
    requirements in python-warlock.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2013 10:26:14 +0000

python-json-pointer (0.6-1ubuntu1) raring; urgency=low

  * debian/rules: Enable testsuite.
  * debian/rules, debian/control: Dropped openstack-pkg-tools,
    removed not needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Mar 2013 13:47:47 -0600

python-json-pointer (0.6-1) experimental; urgency=low

  * Initial release (Closes: #699507).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2012 11:55:15 +0000

=== debian/control ===
Source: python-json-pointer
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~)
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-json-pointer.git
Vcs-Git: git://anonscm.debian.org/openstack/python-json-pointer.git
Homepage: https://github.com/stefankoegl/python-json-pointer

Package: python-json-pointer
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}
Description: resolve JSON pointers
 Python-json-pointer is a small library to resolve JSON pointers according to
 the IETF draft specification. JSON Pointer defines a string syntax for
 identifying a specific value within a JavaScript Object Notation (JSON)
 document.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) python tests.py

## python-json-pointer 1.0

=== debian/changelog ===
python-json-pointer (1.0-2build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:51:56 +0000

python-json-pointer (1.0-2) unstable; urgency=low

  * Ran wrap-and-sort.
  * Adds support for python3.
  * Adds Ubuntu patch for utf-8 in setup.py fixing FTBFS.
  * Adds README.md in the doc folders.
  * Cleans correctly (allow to build twice).
  * Standards-Version: 3.9.4

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 14:02:39 +0800

python-json-pointer (1.0-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 06:56:05 +0000

python-json-pointer (0.6-2) experimental; urgency=low

  * Added patch from Ubuntu to run tests at build time (Closes: #702292).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Mar 2013 05:27:55 +0000

=== debian/control ===
Source: python-json-pointer
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all (>= 3.1.2-7~),
               python3-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-json-pointer.git
Vcs-Git: git://anonscm.debian.org/openstack/python-json-pointer.git
Homepage: https://github.com/stefankoegl/python-json-pointer

Package: python-json-pointer
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: resolve JSON pointers - python 2.x
 Python-json-pointer is a small library to resolve JSON pointers according to
 the IETF draft specification. JSON Pointer defines a string syntax for
 identifying a specific value within a JavaScript Object Notation (JSON)
 document.
 .
 This package provides the module for Python 2.x.

Package: python3-json-pointer
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: resolve JSON pointers - python 3.x
 Python-json-pointer is a small library to resolve JSON pointers according to
 the IETF draft specification. JSON Pointer defines a string syntax for
 identifying a specific value within a JavaScript Object Notation (JSON)
 document.
 .
 This package provides the module for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stefankoegl/python-json-pointer.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_test:
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers ./tests.py ; \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-json-pointer; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-json-pointer; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build .egg-info

## python-json-pointer 1.9

=== debian/changelog ===
python-json-pointer (1.9-3~cloud0) trusty-mitaka; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Apr 2016 20:38:30 +0000

python-json-pointer (1.9-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:38:57 +0000

python-json-pointer (1.9-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 3.9.6.
  * Added dh-python in build-depends, removed versions for python-all and
    python3-all.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:55:07 +0000

python-json-pointer (1.9-1) experimental; urgency=medium

  * New upstream release.
  * Removed applied upstream utf8 in setup.py patch.
  * Added management of /usr/bin/jsoinpointer using update-alternatives, so
    that Python 2 and 3 versions don't conflict.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Mar 2015 10:31:06 +0200

=== debian/control ===
Source: python-json-pointer
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-json-pointer.git
Vcs-Git: git://anonscm.debian.org/openstack/python-json-pointer.git
Homepage: https://github.com/stefankoegl/python-json-pointer

Package: python-json-pointer
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: resolve JSON pointers - Python 2.7
 Python-json-pointer is a small library to resolve JSON pointers according to
 the IETF draft specification. JSON Pointer defines a string syntax for
 identifying a specific value within a JavaScript Object Notation (JSON)
 document.
 .
 This package provides the module for Python 2.x.

Package: python3-json-pointer
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: resolve JSON pointers - Python 3.x
 Python-json-pointer is a small library to resolve JSON pointers according to
 the IETF draft specification. JSON Pointer defines a string syntax for
 identifying a specific value within a JavaScript Object Notation (JSON)
 document.
 .
 This package provides the module for Python 3.x.

## python-json-pointer 1.10

=== debian/changelog ===
python-json-pointer (1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fixed VCS URLs (https).
  * Added simple Debian tests.
  * Standards-Version bumped to 3.9.8 (no changes needed)
  * d/copyright
    - Fixed order
    - Added myself to Debian part
  * Added -doc package with sphinx documentation
  * Removed redundant d/docs
  * Don't run autotests with nocheck option enabled

 -- Ondřej Nový <novy@ondrej.org>  Sat, 30 Apr 2016 23:41:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                openstack-pkg-tools,
                python-all,
                python-setuptools,
+               python-sphinx,
                python3-all,
                python3-setuptools,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-json-pointer.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-json-pointer.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-json-pointer.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-json-pointer.git
 Homepage: https://github.com/stefankoegl/python-json-pointer
 
 Package: python-json-pointer
@@ -38,3 +39,16 @@
  document.
  .
  This package provides the module for Python 3.x.
+
+Package: python-json-pointer-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+Description: resolve JSON pointers - doc
+ Python-json-pointer is a small library to resolve JSON pointers according to
+ the IETF draft specification. JSON Pointer defines a string syntax for
+ identifying a specific value within a JavaScript Object Notation (JSON)
+ document.
+ .
+ This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stefankoegl/python-json-pointer.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers ./tests.py ; \
	done
endif

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-json-pointer; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-json-pointer; \
	done
	mv $(CURDIR)/debian/python-json-pointer/usr/bin/jsonpointer $(CURDIR)/debian/python-json-pointer/usr/bin/python2-jsonpointer
	mv $(CURDIR)/debian/python3-json-pointer/usr/bin/jsonpointer $(CURDIR)/debian/python3-json-pointer/usr/bin/python3-jsonpointer
	rm -rf $(CURDIR)/debian/python*-json-pointer/usr/lib/python*/dist-packages/*.pth

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build .egg-info

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	sphinx-build -b html doc $(CURDIR)/debian/python-json-pointer-doc/usr/share/doc/python-json-pointer-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/tests/control ===
Tests: cli
Depends: python-json-pointer, python3-json-pointer

Test-Command: cd "$ADTTMP" ; python -c "import jsonpointer; print jsonpointer.__version__"
Depends: python-json-pointer

Test-Command: cd "$ADTTMP" ; python3 -c "import jsonpointer; print(jsonpointer.__version__)"
Depends: python3-json-pointer

## python-json-pointer 2.0

=== debian/changelog ===
python-json-pointer (2.0-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jan 2020 04:25:15 +0100

python-json-pointer (1.10-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #937859).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 14:04:49 +0200

=== debian/control ===
Source: python-json-pointer
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-sphinx,
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-json-pointer
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-json-pointer.git
Homepage: https://github.com/stefankoegl/python-json-pointer

Package: python-json-pointer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: resolve JSON pointers - doc
 Python-json-pointer is a small library to resolve JSON pointers according to
 the IETF draft specification. JSON Pointer defines a string syntax for
 identifying a specific value within a JavaScript Object Notation (JSON)
 document.
 .
 This package contains the documentation.

Package: python3-json-pointer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: resolve JSON pointers - Python 3.x
 Python-json-pointer is a small library to resolve JSON pointers according to
 the IETF draft specification. JSON Pointer defines a string syntax for
 identifying a specific value within a JavaScript Object Notation (JSON)
 document.
 .
 This package provides the module for Python 3.x.

=== debian/watch ===
version=3
https://github.com/stefankoegl/python-json-pointer/tags .*/v(\d[\d\.]+)\.tar\.gz

## python-json-pointer 2.1

=== debian/changelog ===
python-json-pointer (2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:27:46 +0200

python-json-pointer (2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 09:28:37 +0200

python-json-pointer (2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:01:02 +0200

python-json-pointer (2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Michal Arbet ]
  * New upstream version
  * d/copyright: Add me to copyright
  * d/control:
    - Add me to uploaders
    - Bump standards to 4.5.0
    - Bump debhelper-compat to 11

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 05 May 2020 10:37:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/stefankoegl/python-json-pointer.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers ./tests.py ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc $(CURDIR)/debian/python-json-pointer-doc/usr/share/doc/python-json-pointer-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-json-pointer 2.2

=== debian/changelog ===
python-json-pointer (2.2-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 24 Mar 2022 10:50:25 +0000

python-json-pointer (2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:49:06 +0100

python-json-pointer (2.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 17:28:29 +0100

python-json-pointer (2.1-3) unstable; urgency=medium

  * Add Multi-Arch: foreign to the binary packages (Closes: #983957).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 18:09:58 +0100

## python-json-pointer 2.3

=== debian/changelog ===
python-json-pointer (2.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 11:59:14 +0200

python-json-pointer (2.3-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 15:10:56 +0200

## python-json-pointer 2.4

=== debian/changelog ===
python-json-pointer (2.4-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090517).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:31:23 +0100

python-json-pointer (2.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:15:50 +0200

python-json-pointer (2.4-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 13:39:15 +0100

python-json-pointer (2.3-3) unstable; urgency=medium

  * Cleans better (Closes: #1046832).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:48:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
- python3-sphinx,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.1.0
+ python3-sphinx,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-json-pointer
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-json-pointer.git
 Homepage: https://github.com/stefankoegl/python-json-pointer
@@ -19,6 +20,7 @@
 Package: python-json-pointer-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
@@ -32,6 +34,7 @@
 
 Package: python3-json-pointer
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .egg-info
+	rm -rf build *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -30,5 +30,5 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -b html doc $(CURDIR)/debian/python-json-pointer-doc/usr/share/doc/python-json-pointer-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif

=== debian/tests/control ===
Tests: cli
Depends:
 python3-json-pointer,

Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import jsonpointer; print(jsonpointer.__version__)"
Depends:
 python3-json-pointer,
